This is the mail archive of the cygwin-apps@cygwin.com mailing list for the Cygwin project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Bad bugs in gcc-mingw packaging.


The gcc-mingw package uses an _extremely_ strange packaging scheme. Why does
it do this?

Anyway, there are 2 bug in the preremove script:

1) If file-that-we-need exists, then bail out.
Obviously, this should be: If file-that-we-need does NOT exist, then bail
out.

2) Missing quote.

Max.


--- gcc-mingw.shorig 2002-11-14 18:02:10.000000000 +0000
+++ gcc-mingw.sh 2002-11-14 18:02:42.000000000 +0000
@@ -1,5 +1,5 @@
 #!/bin/sh
-[ -f /etc/preremove/gcc-mingw-manifest.lst ] && exit 0
-echo "*** Removing gcc-mingw files.  Please wait. ***
+[ -f /etc/preremove/gcc-mingw-manifest.lst ] || exit 0
+echo "*** Removing gcc-mingw files.  Please wait. ***"
 /bin/rm -rf `cat /etc/preremove/gcc-mingw-manifest.lst`
/etc/preremove/gcc-mingw-manifest.lst
 [ -L /usr/i686-pc-mingw32/include -a -L /usr/i686-pc-mingw32/lib] &&
/bin/rm -rf /usr/i686-pc-mingw32


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]